Page MenuHomePhabricator

cxserver: Update packages with security vulnerabilities identified by npm audit
Closed, ResolvedPublic

Description

found 7 vulnerabilities (1 low, 4 moderate, 2 high)

We should at least fix the high ones.

Details

Related Gerrit Patches:
mediawiki/services/cxserver : masterUpdate dependencies, fix eslint issues

Event Timeline

Esanders created this task.Aug 27 2018, 8:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2018, 8:10 PM
Pginer-WMF triaged this task as High priority.Aug 29 2018, 7:28 AM
santhosh claimed this task.Aug 29 2018, 7:29 AM

Change 456083 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Update depdendencies, fix eslint issues

https://gerrit.wikimedia.org/r/456083

Petar.petkovic moved this task from Backlog to Other on the CX-cxserver board.Aug 30 2018, 8:41 AM

Change 456083 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Update dependencies, fix eslint issues

https://gerrit.wikimedia.org/r/456083

Petar.petkovic removed a project: Patch-For-Review.
Petar.petkovic removed a subscriber: gerritbot.

Mentioned in SAL (#wikimedia-operations) [2018-09-05T07:23:36Z] <kartik@deploy1001> Started deploy [cxserver/deploy@f341eec]: Update cxserver to 81d1a97 (T202933, T202283, T189438)

Mentioned in SAL (#wikimedia-operations) [2018-09-05T07:27:38Z] <kartik@deploy1001> Finished deploy [cxserver/deploy@f341eec]: Update cxserver to 81d1a97 (T202933, T202283, T189438) (duration: 04m 03s)

Arrbee closed this task as Resolved.Sep 6 2018, 8:23 AM